Index: src/main/resources/static/js/admin.js
===================================================================
--- src/main/resources/static/js/admin.js	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/resources/static/js/admin.js	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
@@ -0,0 +1,3 @@
+$(document).ready(function() {
+
+});
Index: src/main/resources/static/js/register_business.js
===================================================================
--- src/main/resources/static/js/register_business.js	(revision 2b0a4db95e071b47a10460f6bb4d73d43885fb9c)
+++ src/main/resources/static/js/register_business.js	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
@@ -3,29 +3,121 @@
     $.ajax({
         url: "http://localhost:8080/api/nomenclatures/businessTypes"
-    }).then(function(data) {
+    }).then(function (data) {
         enumerations = data;
         var $el = $("#companyType");
         //$el.empty(); // remove old options
 
-        $.each(data, function(index, obj) {
+        $.each(data, function (index, obj) {
             $el.append("<option value=" + obj.value + ">" + obj.text + "</option>");
         });
     });
 
-    $("#companyType").change(function() {
+    $("#companyType").change(function () {
         var selectedVal = $(this).find(':selected').val();
-        alert(JSON.stringify(enumerations[selectedVal-1]));
-        var selectedObj = enumerations[selectedVal-1];
+        var selectedObj = enumerations[selectedVal - 1];
         var $el = $("#predefined_services");
         $el.empty();
         $.each(selectedObj['serviceTypes'], function (index, obj) {
             $el.append(
-                '<div class="form-check">\n' +
-                '    <input class="form-check-input" type="checkbox" value=\"' + obj.id + '\" id=\"'+ obj.id +'\">\n' +
-                '        <label class="form-check-label" for=\"' + obj.id + '\">\n' +
-                              obj.name +
-                '         </label>\n' +
-                '    </div>')
+                '<div class=\"form-outline mb-4\">' +
+                '    <div class="row">' +
+                '        <div class="col-md-8">\n' +
+                '            <input class="form-check-input" type="checkbox" value=\"' + obj.id + '\" id=\"' + obj.id + '\">\n' +
+                '            <label class="form-check-label" for=\"' + obj.id + '\">\n' +
+                obj.name +
+                '            </label>\n' +
+                '        </div>' +
+                '        <div class=\"form-outline col-md-2 d-grid\">' +
+                '            <input type=\"text\" id=\"' + obj.id + obj.name.replace(/\s/g, "") + '\" class=\"form-control\" />' +
+                '        </div>' +
+                '    </div>' +
+                '</div>');
         });
-    })
+        $("#input_service").prop('disabled', false);
+        $("#add_service").prop('disabled', false);
+    });
+
+    $("#add_service").click(function () {
+        var input_service = $("#input_service").val();
+        // clear the input
+        $("#input_service").val('');
+
+        /*$("#predefined_services").append(
+            '<div class="form-check">\n' +
+            '    <input class="form-check-input" type="checkbox" checked value=\"' + -1 + '\" id=\"'+ -1 +'\">\n' +
+            '        <label class="form-check-label" for=\"' + -1 + '\">\n' +
+            input_service +
+            '         </label>\n' +
+            '    </div>'
+        );*/
+
+        $("#predefined_services").append(
+            '<div class="form-outline mb-4">' +
+            '    <div class="row">' +
+            '        <div class="col-md-8">\n' +
+            '            <input class="form-check-input" type="checkbox" checked value="' + -1 + '" id="' + -1 + '">\n' +
+            '            <label class="form-check-label" for="' + -1 + '">\n' +
+            input_service +
+            '            </label>\n' +
+            '        </div>' +
+            '        <div class="form-outline col-md-2 d-grid">' +
+            '            <input type="text" id="' + -1 + input_service.replace(/\s/g, "") + '" class="form-control" />' +
+            '        </div>' +
+            '    </div>' +
+            '</div>');
+        event.preventDefault();
+    });
+
+    $('#signup_business_button').click(function () {
+        let businessObj = {};
+        let ownerObj = {};
+
+        ownerObj['firstName'] = $('#firstName').val();
+        ownerObj['lastName'] = $('#lastName').val();
+        ownerObj['email'] = $('#email').val();
+        ownerObj['username'] = $('#username').val();
+        ownerObj['password'] = $('#password').val();
+        businessObj['owner'] = ownerObj;
+
+        businessObj['companyName'] = $('#companyName').val();
+
+        businessObj['businessType'] = {'value': $('#companyType').val()};
+
+        servicesObj = [];
+
+        $.each($('#predefined_services input:checked').siblings(), function(index, label) {
+
+            let service = {};
+            var id = $(label).prop('for');
+            var text = $(label).text();
+            var time = $($($(label).parent()).siblings()[0]).children()[0].value;
+
+            var serviceType = {}
+            if(parseInt(id) != -1) {
+                serviceType['id'] = id;
+            }
+            serviceType['name'] = text.trim();
+            service['serviceType'] = serviceType;
+            service['duration'] = time;
+            servicesObj.push(service);
+        });
+        businessObj['services'] = servicesObj;
+        console.log(JSON.stringify(businessObj));
+        $.ajax({
+            url: "http://localhost:8080/api/business",
+            type:"POST",
+            data: JSON.stringify(businessObj),
+            contentType:"application/json; charset=utf-8",
+            dataType: 'text',
+            success: function(succ){
+                alert( "Well done! You have finished the registration process. " +
+                    "Please check periodically to see if the company has been approved." );
+                window.location.href = "/homepage";
+            },
+            error: function(err) {
+                alert(err);
+            }
+        });
+        event.preventDefault();
+    });
 });
Index: src/main/resources/templates/admin.html
===================================================================
--- src/main/resources/templates/admin.html	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/resources/templates/admin.html	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
@@ -0,0 +1,26 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+  <title>Schedlr</title>
+
+  <meta charset="utf-8"/>
+  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
+
+  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
+        integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
+</head>
+<body>
+ADMIN
+
+
+<!-- jQuery library -->
+<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"
+        integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4"
+        crossorigin="anonymous"></script>
+<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
+        integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
+        crossorigin="anonymous"></script>
+<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
+<script src="js/admin.js" type="text/javascript"></script>
+</body>
+</html>
Index: src/main/resources/templates/register_business.html
===================================================================
--- src/main/resources/templates/register_business.html	(revision 2b0a4db95e071b47a10460f6bb4d73d43885fb9c)
+++ src/main/resources/templates/register_business.html	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
@@ -37,6 +37,6 @@
                                 <div class="col-md-6 mb-4">
                                     <div class="form-outline">
-                                        <input type="text" id="firstName" class="form-control" placeholder="Username"
-                                               aria-label="Username"/>
+                                        <input type="text" id="firstName" class="form-control" placeholder="First name"
+                                               aria-label="Firstname"/>
                                     </div>
                                 </div>
@@ -72,5 +72,5 @@
 
                             <div class="form-outline mb-4">
-                                <input type="email" id="companyName" class="form-control" placeholder="Company Name"
+                                <input type="text" id="companyName" class="form-control" placeholder="Company Name"
                                        aria-label="companyName"/>
                             </div>
@@ -86,13 +86,16 @@
                             </div>
 
-                            <div class="row">
-                                <div class="form-outline col-md-10">
-                                    <div class="form-outline">
-                                        <input type="text" id="services" class="form-control" placeholder="Services"
-                                               aria-label="services"/>
+                            <div class="form-outline mb-4">
+                                <div class="row">
+                                    <div class="col-md-10">
+                                        <div class="form-outline">
+                                            <input type="text" id="input_service" class="form-control"
+                                                   placeholder="Services"
+                                                   aria-label="services" disabled="true"/>
+                                        </div>
                                     </div>
-                                </div>
-                                <div class="form-outline col-md-2 d-grid">
-                                    <button class="btn btn-primary" id="add_service">Add</button>
+                                    <div class="form-outline col-md-2 d-grid">
+                                        <button class="btn btn-primary" id="add_service" disabled="true">Add</button>
+                                    </div>
                                 </div>
                             </div>
@@ -104,5 +107,5 @@
 
                             <!-- Submit button -->
-                            <button type="submit" class="btn btn-primary btn-block mb-4">
+                            <button type="buttom" class="btn btn-primary btn-block mb-4" id="signup_business_button">
                                 Sign up
                             </button>
